$primary-text-color: rgba(0, 0, 0, 1);
$secondary-text-color: rgba(0, 0, 0, 0.5);

.timetable {
  color: $primary-text-color;
  .day {
    position: relative;
    margin: 1em 0 2em;
    .day-summary {
      position: sticky;
      padding: 1.1em 1em 1em 1em;
      margin-bottom: 8px;
      background: rgba(245, 245, 245, 1);
      box-shadow: 0 8px 2px -2px rgba(0, 0, 0, 0.1);
      top: 0;
      .title {
        font-size: 1.4em;
      }
      .date {
        color: $secondary-text-color;
      }
    }
    .timeslots {
      .timeslot {
        display: flex;
        .datetime, .event {
          padding: 1em;
          background-color: rgba(0, 0, 0, 0.05);
          border: solid 1px #fff;
        }
        .datetime {
          width: 10em;
          color: $secondary-text-color;
        }
        .event {
          display: block;
          flex: 1;
          text-decoration: none;
          transition: all 0.3s;
          color: inherit;
          &:hover {
            background-color: rgba(0, 0, 0, 0);
          }
          .name {
            font-size: 1.1em;
            padding-bottom: 0.5em;
          }
          .venue {
            color: $secondary-text-color;
          }
        }
      }
    }
  }
}

/**
 * If drupal top bar is in-place
 */
.toolbar-fixed {
  .timetable .day .day-summary {
    top: 39px;
  }
}

/**
 * If drupal top bar with horizontal toolbar-tray opened
 */
.toolbar-fixed.toolbar-tray-open.toolbar-horizontal {
  .timetable .day .day-summary {
    top: 79px;
  }
}

/**
 * fallback to single column mode
 */
@media only screen and (max-width: 768px) {
  .timetable .day .timeslots {
    .timeslot {
      display: block;
      margin-top: 1em;
      .datetime, .event {
        width: 100%;
      }
      .datetime {
        margin-top: 1.5em;
        padding: 0.5em 1em;
        background-color: rgba(255, 255, 255, 1);
      }
      .event {
        padding-left: 2em;
      }
    }
  }
}
